<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>

<style>
.fixedSizeGreetCard,.fixedCountGreetCard{
	width:400px;
	display:inline-block;
}
#diySizeGreetCard,#diyCountGreetCard{
	width:400px;
	display:inline-block;
}
.fixedSizeGreetCard .layui-input,.fixedCountGreetCard .layui-input{
	width:100%
}
.fixedSizeGreetCard .layui-edge,.fixedCountGreetCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="贺卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="3" title="300克珠光纸">
</div>
<p>
	规格	
</p>
<span class="layui-form-item fixedSizeGreetCard">
	<select name="size" id="fixedSizeGreetCard" class="select">
		<option value="15*10">15*10 cm</option>
		<option value="14*9">14*9 cm</option>
		<option value="11*9">11*9 cm</option>
	</select>
</span>
<span class="diySizeGreetCard" style="display:none">
	<input type="text" name="size" id="diySizeGreetCard" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
</span>
<input type="checkbox" name="switchSize" class="switchSizeGreetCard" lay-filter="switchSizeGreetCard" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span> 
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountGreetCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountGreetCard" style="display:none">
	<input type="text" name="count" id="diyCountGreetCard" placeholder="请输入整数" autocomplete="off" 
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount" lay-filter="switchCountGreetCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberGreetCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>

<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	   
	    // 默认没有选中复选框
	    $('.switchSizeGreetCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizeGreetCard)', function(data) {
			if(data.elem.checked){
				$('.switchSizeGreetCard').val("on")
				$(".diySizeGreetCard").show();
				$(".fixedSizeGreetCard").hide();
				$(".diySizeGreetCard").find(":input").attr("disabled", false);
				$(".fixedSizeGreetCard").find(":input").attr("disabled", true);
			} else {
				$('.switchSizeGreetCard').val("off")
				$(".fixedSizeGreetCard").show();
				$(".diySizeGreetCard").hide();
				$(".fixedSizeGreetCard").find(":input").attr("disabled", false);
				$(".diySizeGreetCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountGreetCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountGreetCard").show();
				$(".fixedCountGreetCard").hide();
				$(".diyCountGreetCard").find(":input").attr("disabled", false);
				$(".fixedCountGreetCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountGreetCard").show();
				$(".diyCountGreetCard").hide();
				$(".fixedCountGreetCard").find(":input").attr("disabled", false);
				$(".diyCountGreetCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>